Page MenuHomePhabricator

Mobile-Sections returns missing images
Open, Needs TriagePublic

Description

Not sure if this is a problem with the wiki or MCS itself...

When using this query: https://bm.wikipedia.org/api/rest_v1/page/mobile-sections/Seshel

The response HTML includes a reference to this image: //upload.wikimedia.org/wikipedia/commons/thumb/a/a1/Coat_of_arms_of_the_Seychelles.svg/125px-Coat_of_arms_of_the_Seychelles.svg.png

This leads to a 404, and causes MWOffliner to have missing images in scrapes:
https://github.com/openzim/mwoffliner/issues/616

Event Timeline

Isnit001 created this task.Mar 4 2019, 9:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2019, 9:51 AM
Arlolra added a subscriber: Arlolra.Mar 4 2019, 7:50 PM

Hmm, so the file was renamed recently on 2018-02-10,
https://commons.wikimedia.org/w/index.php?title=File%3ACoat_of_arms_of_Seychelles.svg&type=revision&diff=338463956&oldid=338257332

Asking for a purge (?action=purge) rerendered the page correctly,
https://bm.wikipedia.org/api/rest_v1/page/html/Seshel

It looks like, because Parsoid links directly to thumbnailed images, we need changeprop to tell us to rerender all the pages linking to the file. Hopefully renames are rare.

ssastry closed this task as Resolved.Jun 10 2019, 8:39 PM
ssastry claimed this task.
ssastry added subscribers: Pchelolo, mobrovac, ssastry.

There is nothing to do here on MCS or Parsoid end. @Pchelolo @mobrovac please reopean and reassign to changeprop OR create a new phab task for changeprop related to renames and rerendering.

ssastry reassigned this task from ssastry to Arlolra.Jun 10 2019, 8:40 PM
ssastry triaged this task as Normal priority.
Kelson added a comment.EditedJun 30 2019, 11:07 AM

@ssastry I don't really understand why this ticket is closed. There is no agreement that this is a bug?

This is a serious matter for the offline versions of our wikis, the consequences of this are broken HTML articles (= with broken images). This is not rare, I have many examples only with Wikivoyage in English. Just the renaming of "File:BC-3_(Crowsnest).svg" breaks itself around 20 articles.

And not only it generates broken HTML, but also this makes detecting our own scraping/rendering problems on MWoffliner side more complicated. Our own quality processes are challenged.

I'm also sure this has also an impact on other tools based on Parsoid output. Considering the level of impact, I would like to see this ticket re-opened, properly assigned and triaged adequately.

ssastry reopened this task as Open.Jun 30 2019, 6:04 PM
ssastry raised the priority of this task from Normal to Needs Triage.
ssastry edited projects, added ChangeProp; removed Mobile-Content-Service, Parsoid.

@Kelson. Sorry, I didn't imply this wasn't a bug. I did say this is a ChangePropagation issue and tagged @Pchelolo and @mobrovac and asked them to reopen / file a diferent ticket. But, yes a better solution would have been to untag Parsoid and MCS and tag ChangePropagation, which I am going to do now. Thanks for following up and apologies for my confusing triage.

@bearND I've left behind the RI-Team-Backog tag and removed the MCS tag. But, feel free to update your team / project tags as appropriate.

Arlolra removed Arlolra as the assignee of this task.Jul 16 2019, 7:19 PM